interface UseCustomHook {
    (...args: any[]): any;
}
interface WrapperStateFn {
    (): Record<string, any>;
    __IS_GETTER_HOOK__: boolean;
    type: 'object' | 'array';
}
declare type WrapperState = (memoObj: Record<string, any>) => WrapperStateFn;
declare type Getter = (result: any, methods?: {
    wrapperState?: WrapperState;
}) => any;
/**
 * 创建一个hooks的context
 */
export default function createContextHook<G extends Record<string, Getter>>(useCustomHook: UseCustomHook, getters?: G): {
    Provider: (props: any) => JSX.Element;
} & { [K in keyof G]?: () => any; } & {
    useHook: () => any;
};
export {};
