var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
import { useMemo, useReducer } from 'react';
import { isFunction } from '../utils';
export default function useMethods(methods, initialState) {
    var _a = __read(useReducer(function (prev, action) {
        var _a;
        return isFunction(methods)
            ? (_a = methods(prev))[action.type].apply(_a, __spreadArray([], __read(action.args), false)) : methods[action.type].apply(methods, __spreadArray([prev], __read(action.args), false));
    }, initialState), 2), value = _a[0], dispatch = _a[1];
    var boundMethods = useMemo(function () {
        var dispatchMethods = function () {
            var _a;
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i] = arguments[_i];
            }
            dispatch(typeof args[0] === 'string' ? { type: args[0], args: args.slice(1) } : { type: (_a = args[0]) === null || _a === void 0 ? void 0 : _a.type, args: args });
        };
        return (Object.keys(isFunction(methods) ? methods({}) : methods) || []).reduce(function (prev, type) {
            var _a;
            return (__assign(__assign({}, prev), (_a = {}, _a[type] = function () {
                var args = [];
                for (var _i = 0; _i < arguments.length; _i++) {
                    args[_i] = arguments[_i];
                }
                return dispatch({ type: type, args: args });
            }, _a)));
        }, { dispatch: dispatchMethods });
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, []);
    return [value, boundMethods, boundMethods.dispatch];
}
