var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
import React from 'react';
import { useCounter, useForceRender, usePrevious } from '../';
export var EqualsModeTrueDemo = function () {
    var _a = __read(useCounter(0), 2), count = _a[0], _b = _a[1], inc = _b.inc, dec = _b.dec;
    var last = usePrevious(count);
    var forceUpdate = useForceRender();
    return (React.createElement("div", null,
        React.createElement("button", { onClick: function () { return inc(); } }, "+"),
        React.createElement("button", { onClick: function () { return dec(); } }, "-"),
        React.createElement("button", { onClick: function () { return forceUpdate(); } }, "\u5F3A\u5236\u6E32\u67D3"),
        React.createElement("p", null,
            "result: current ",
            count,
            " previous ",
            last)));
};
export var EqualsModeFalseDemo = function () {
    var _a = __read(useCounter(0), 2), count = _a[0], _b = _a[1], inc = _b.inc, dec = _b.dec;
    var last = usePrevious(count, false);
    var forceUpdate = useForceRender();
    return (React.createElement("div", null,
        React.createElement("button", { onClick: function () { return inc(); } }, "+"),
        React.createElement("button", { onClick: function () { return dec(); } }, "-"),
        React.createElement("button", { onClick: function () { return forceUpdate(); } }, "\u5F3A\u5236\u6E32\u67D3"),
        React.createElement("p", null,
            "current ",
            count,
            " previous ",
            last)));
};
export default function () {
    return (React.createElement("div", null,
        React.createElement("p", null, "default: equalsMode, \u53EA\u6709\u5F53\u503C\u53D8\u5316\u65F6\u89E6\u53D1"),
        React.createElement(EqualsModeTrueDemo, null),
        React.createElement("p", null, "not equalsMode\uFF0C \u6BCF\u6B21render\u65F6\u89E6\u53D1"),
        React.createElement(EqualsModeFalseDemo, null)));
}
