import { useEffect } from 'react';
import useRefValue from '../useRefValue';
/**
 * 提供一个类似于class组件生命周期的hooks
 */
export default function useWillUnmount(onMount) {
    var ref = useRefValue(onMount);
    useEffect(function () { return function () { return ref.current && ref.current(); }; }, []);
}
