interface CounterOptions {
    min?: number;
    max?: number;
    step?: number;
}
interface Methods {
    set: (nextValue: number | ((value: number) => number)) => void;
    inc: (step?: number) => void;
    dec: (step?: number) => void;
    reset: () => void;
}
/**
 * 返回一个步进的数值，并提供一系列方法
 */
export default function useCounter(initialValue?: number, options?: CounterOptions): [number, Methods];
export {};
