"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var useListData_1 = __importDefault(require("../useListData"));
/**
 * 转化一个扁平数据为map
 * before: [{ id, value }, { id, value }]
 * after: { [id1]: value1, [id2]: value2 }
 */
function useDataListToMap(data, _a) {
    var _b = _a === void 0 ? {} : _a, _c = _b.key, key = _c === void 0 ? 'id' : _c;
    return (0, useListData_1.default)(data, function (originValue, _a) {
        var transObj = _a.transObj;
        return transObj(originValue, { key: key });
    });
}
exports.default = useDataListToMap;
