"use strict";
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
/**
 * 同useEffect，不同的是，不通过deps进行触发, 而通过返回一个更新函数触发effect callback
 */
function useEffectMaunal(effect) {
    var _a = __read((0, react_1.useReducer)(function (prev) { return prev + 1; }, 0), 2), count = _a[0], callEffect = _a[1];
    var effectRef = (0, react_1.useRef)(effect);
    effectRef.current = effect;
    (0, react_1.useEffect)(function () {
        if (count > 0) {
            return effectRef.current();
        }
    }, [count]);
    return callEffect;
}
exports.default = useEffectMaunal;
