"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var historyState_1 = __importDefault(require("./historyState"));
/**
 *
 * @param source
 * @param options
 * @returns
 */
function useHistoryRef(
// source: Raw,
options) {
    if (options === void 0) { options = {}; }
    var ref = (0, react_1.useRef)();
    if (!ref.current) {
        ref.current = new historyState_1.default(options);
    }
    return ref.current;
}
exports.default = useHistoryRef;
