declare type Data = Record<string, any>[];
export declare function transformListToTree(data: Data, { rootParentId, parentId, id, children }?: {
    rootParentId?: any;
    parentId?: string;
    id?: string;
    children?: string;
}): Record<string, any>[];
export declare function transformListToMap(data: Data, { key }?: {
    key?: string;
}): any;
export declare function transformListToGroup(data?: Data, { groupKey }?: {
    groupKey?: string;
}): {};
export declare function transformListToPartition(data?: Data, { groupKey }?: {
    groupKey?: string;
}): unknown[];
/**
 * 字段展开
 */
export declare function transformListToFoldList(data?: Data, { fields }?: {
    fields?: string[];
}): any[];
declare const transform: {
    tree: typeof transformListToTree;
    obj: typeof transformListToMap;
    group: typeof transformListToGroup;
    partition: typeof transformListToPartition;
    fold: typeof transformListToFoldList;
};
export default transform;
