"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var _1 = __importDefault(require("."));
var useTimeoutFn_1 = __importDefault(require("../useTimeoutFn"));
var containerStyle = { width: '100%', height: 100, overflow: 'scroll', border: '1px solid' };
function Item(props) {
    return (react_1.default.createElement("div", __assign({ style: {
            width: 200,
            height: 50,
            backgroundColor: 'powderblue',
            marginBottom: 10,
            border: '1px solid #eee',
        } }, props)));
}
var list = new Array(20).fill(1).map(function (v, i) { return ({
    id: i + 1,
    value: i + 1,
}); });
var Demo = function (_a) {
    var Loading = _a.Loading;
    var rootRef = (0, react_1.useRef)();
    var _b = (0, _1.default)(list, { groupSize: 3 }), showfooterLoading = _b.showfooterLoading, showList = _b.showList, loadNextGroup = _b.loadNextGroup;
    var _c = __read((0, useTimeoutFn_1.default)(loadNextGroup, 0), 1), loadNextGroupAsync = _c[0];
    return (react_1.default.createElement("div", null,
        react_1.default.createElement("div", null,
            "\u5DF2\u52A0\u8F7D\u5217: ",
            showList.map(function (v, i) { return i + 1; }).join(',')),
        react_1.default.createElement("div", { ref: function (ref) { return (rootRef.current = ref); }, style: containerStyle },
            showList.map(function (item) { return (react_1.default.createElement(Item, { key: item.id }, item.value)); }),
            showfooterLoading ? (Loading ? (react_1.default.createElement(Loading, { loadNextGroupAsync: loadNextGroupAsync, rootRef: rootRef })) : (react_1.default.createElement("div", { onClick: loadNextGroupAsync }, "Load Next Group"))) : null)));
};
exports.default = Demo;
