"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var __1 = __importDefault(require(".."));
var fetchParams = { pageNo: 1, pageSize: 5 };
var mockData = new Array(30).fill(0).map(function (v, i) { return ({ id: i, value: i }); });
var fetchData = function (params) {
    var query = __assign(__assign({}, fetchParams), (params || {}));
    return new Promise(function (resolve) {
        setTimeout(function () {
            var start = (query.pageNo - 1) * query.pageSize;
            var data = mockData.slice(start, start + query.pageSize);
            resolve({ data: data, total: mockData.length, hasMore: query.pageNo < +(mockData.length / query.pageSize).toFixed(0) });
        }, 500);
    });
};
function Demo() {
    var _a = (0, __1.default)(fetchData, {
        autoLoad: true,
        initialQuery: { pageSize: 5 },
        isMerge: false,
    }), current = _a.current, listData = _a.listData, loading = _a.loading, loadData = _a.loadData, loadNextPage = _a.loadNextPage, loadPrevPage = _a.loadPrevPage, hasMore = _a.hasMore, total = _a.total, pageTotal = _a.pageTotal;
    return (react_1.default.createElement("div", null,
        react_1.default.createElement("h2", null, "\u7FFB\u9875\u793A\u4F8B"),
        react_1.default.createElement("div", null, loading ? ('loading') : (react_1.default.createElement("ul", null, listData.map(function (item, i) { return (react_1.default.createElement("li", { key: i },
            "\u7B2C",
            item.value,
            "\u6761")); })))),
        react_1.default.createElement("button", { disabled: current - 1 <= 0, onClick: function () { return loadPrevPage(); } }, "prev"),
        react_1.default.createElement("select", { value: current, onChange: function (e) { return loadData({ pageNo: e.target.value }); } }, new Array(pageTotal).fill(0).map(function (v, i) { return (react_1.default.createElement("option", { key: i, value: i + 1 }, i + 1)); })),
        react_1.default.createElement("button", { disabled: !hasMore, onClick: function () { return loadNextPage(); } }, "next"),
        "total: ",
        total));
}
exports.default = Demo;
