"use strict";
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EqualsModeFalseDemo = exports.EqualsModeTrueDemo = void 0;
var react_1 = __importDefault(require("react"));
var __1 = require("../");
var EqualsModeTrueDemo = function () {
    var _a = __read((0, __1.useCounter)(0), 2), count = _a[0], _b = _a[1], inc = _b.inc, dec = _b.dec;
    var last = (0, __1.usePrevious)(count);
    var forceUpdate = (0, __1.useForceRender)();
    return (react_1.default.createElement("div", null,
        react_1.default.createElement("button", { onClick: function () { return inc(); } }, "+"),
        react_1.default.createElement("button", { onClick: function () { return dec(); } }, "-"),
        react_1.default.createElement("button", { onClick: function () { return forceUpdate(); } }, "\u5F3A\u5236\u6E32\u67D3"),
        react_1.default.createElement("p", null,
            "result: current ",
            count,
            " previous ",
            last)));
};
exports.EqualsModeTrueDemo = EqualsModeTrueDemo;
var EqualsModeFalseDemo = function () {
    var _a = __read((0, __1.useCounter)(0), 2), count = _a[0], _b = _a[1], inc = _b.inc, dec = _b.dec;
    var last = (0, __1.usePrevious)(count, false);
    var forceUpdate = (0, __1.useForceRender)();
    return (react_1.default.createElement("div", null,
        react_1.default.createElement("button", { onClick: function () { return inc(); } }, "+"),
        react_1.default.createElement("button", { onClick: function () { return dec(); } }, "-"),
        react_1.default.createElement("button", { onClick: function () { return forceUpdate(); } }, "\u5F3A\u5236\u6E32\u67D3"),
        react_1.default.createElement("p", null,
            "current ",
            count,
            " previous ",
            last)));
};
exports.EqualsModeFalseDemo = EqualsModeFalseDemo;
function default_1() {
    return (react_1.default.createElement("div", null,
        react_1.default.createElement("p", null, "default: equalsMode, \u53EA\u6709\u5F53\u503C\u53D8\u5316\u65F6\u89E6\u53D1"),
        react_1.default.createElement(exports.EqualsModeTrueDemo, null),
        react_1.default.createElement("p", null, "not equalsMode\uFF0C \u6BCF\u6B21render\u65F6\u89E6\u53D1"),
        react_1.default.createElement(exports.EqualsModeFalseDemo, null)));
}
exports.default = default_1;
