import useListData from '../useListData';
/**
 * 转化一个扁平数据为map
 * before: [{ id, value }, { id, value }]
 * after: { [id1]: value1, [id2]: value2 }
 */
export default function useDataListToMap(data, _a) {
    var _b = _a === void 0 ? {} : _a, _c = _b.key, key = _c === void 0 ? 'id' : _c;
    return useListData(data, function (originValue, _a) {
        var transObj = _a.transObj;
        return transObj(originValue, { key: key });
    });
}
