import useListData from '../useListData';
// 转化一个扁平数据为树形数据
export default function useDataListToTree(data, _a) {
    var _b = _a === void 0 ? {} : _a, _c = _b.parentId, parentId = _c === void 0 ? 'pid' : _c, _d = _b.id, id = _d === void 0 ? 'id' : _d, _e = _b.children, children = _e === void 0 ? 'children' : _e, _f = _b.rootParentId, rootParentId = _f === void 0 ? undefined : _f;
    return useListData(data, function (originValue, _a) {
        var transTree = _a.transTree;
        return transTree(originValue, { parentId: parentId, id: id, children: children, rootParentId: rootParentId });
    });
}
