var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
import { useState } from 'react';
import useDebounceFn from '../useDebounceFn';
/**
 * 与React.useState用法一致，对数据进行自动防抖处理
 */
export default function useDebounceState(initialState, wait) {
    if (wait === void 0) { wait = 100; }
    var _a = __read(useState(initialState), 2), state = _a[0], setState = _a[1];
    var _b = __read(useDebounceFn(setState, wait), 1), debounceSetState = _b[0];
    return [state, debounceSetState];
}
