import { useEffect } from 'react';
import useRefValue from '../useRefValue';
/**
 * 提供一个类似于class组件生命周期的hooks
 */
export default function useDidMount(onMount) {
    var ref = useRefValue(onMount);
    useEffect(function () {
        ref.current && ref.current();
    }, []);
}
