import { useRef } from 'react';
import HistoryState from './historyState';
/**
 *
 * @param source
 * @param options
 * @returns
 */
export default function useHistoryRef(
// source: Raw,
options) {
    if (options === void 0) { options = {}; }
    var ref = useRef();
    if (!ref.current) {
        ref.current = new HistoryState(options);
    }
    return ref.current;
}
