var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
import React, { useEffect } from 'react';
import useCounter from '../useCounter';
import useHistoryState from '.';
export function Demo(_a) {
    var _b = _a === void 0 ? {} : _a, _c = _b.max, max = _c === void 0 ? 5 : _c;
    var _d = __read(useCounter(0), 2), count = _d[0], inc = _d[1].inc;
    var _e = useHistoryState({
        max: max,
    }), undo = _e.undo, redo = _e.redo, push = _e.push, last = _e.last, undoList = _e.undoList, redoList = _e.redoList, history = _e.history;
    useEffect(function () {
        push(count);
    }, [count, push]);
    return (React.createElement("div", null,
        React.createElement("p", null,
            "inputValue: ",
            count),
        React.createElement("button", { onClick: function (e) { return inc(); } }, "inc"),
        React.createElement("button", { disabled: undoList.length < 1, onClick: undo },
            "undo ",
            undoList.length),
        React.createElement("button", { disabled: redoList.length < 1, onClick: redo }, "redo"),
        React.createElement("p", null,
            "last: ",
            JSON.stringify(last)),
        React.createElement("p", null,
            "undoList: ",
            JSON.stringify(undoList)),
        React.createElement("p", null,
            "history: ",
            JSON.stringify(history)),
        React.createElement("p", null,
            "redoList: ",
            JSON.stringify(redoList))));
}
