declare type Callback = (...args: any[]) => any;
interface Options {
    autoRun?: boolean;
}
/**
 * 方便使用setInterval的hook
 */
export default function useInterval(callback: Callback, time?: number, { autoRun }?: Options): {
    isRunning: boolean;
    start: () => void;
    stop: () => void;
};
export {};
