var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
import React, { useRef } from 'react';
import useListSequenceLoad from '.';
import useTimeoutFn from '../useTimeoutFn';
var containerStyle = { width: '100%', height: 100, overflow: 'scroll', border: '1px solid' };
function Item(props) {
    return (React.createElement("div", __assign({ style: {
            width: 200,
            height: 50,
            backgroundColor: 'powderblue',
            marginBottom: 10,
            border: '1px solid #eee',
        } }, props)));
}
var list = new Array(20).fill(1).map(function (v, i) { return ({
    id: i + 1,
    value: i + 1,
}); });
var Demo = function (_a) {
    var Loading = _a.Loading;
    var rootRef = useRef();
    var _b = useListSequenceLoad(list, { groupSize: 3 }), showfooterLoading = _b.showfooterLoading, showList = _b.showList, loadNextGroup = _b.loadNextGroup;
    var _c = __read(useTimeoutFn(loadNextGroup, 0), 1), loadNextGroupAsync = _c[0];
    return (React.createElement("div", null,
        React.createElement("div", null,
            "\u5DF2\u52A0\u8F7D\u5217: ",
            showList.map(function (v, i) { return i + 1; }).join(',')),
        React.createElement("div", { ref: function (ref) { return (rootRef.current = ref); }, style: containerStyle },
            showList.map(function (item) { return (React.createElement(Item, { key: item.id }, item.value)); }),
            showfooterLoading ? (Loading ? (React.createElement(Loading, { loadNextGroupAsync: loadNextGroupAsync, rootRef: rootRef })) : (React.createElement("div", { onClick: loadNextGroupAsync }, "Load Next Group"))) : null)));
};
export default Demo;
