import { useReducer } from 'react';
/**
 * 切换布尔值
 */
export default function useToggle(initialValue) {
    if (initialValue === void 0) { initialValue = false; }
    return useReducer(function (state) { return !state; }, !!initialValue);
}
