"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var useCounter_1 = __importDefault(require("../useCounter"));
var _1 = __importDefault(require("."));
var useForceRender_1 = __importDefault(require("../useForceRender"));
function Demo(_a) {
    var _b = _a === void 0 ? {} : _a, _c = _b.max, max = _c === void 0 ? 10 : _c;
    var _d = __read((0, useCounter_1.default)(0), 2), count = _d[0], inc = _d[1].inc;
    var forceUpdate = (0, useForceRender_1.default)();
    var _e = (0, _1.default)({
        max: max,
        onUpdate: function (nextState) {
            forceUpdate();
        },
    }), undo = _e.undo, redo = _e.redo, push = _e.push, last = _e.last, undoList = _e.undoList, redoList = _e.redoList, history = _e.history;
    (0, react_1.useEffect)(function () {
        push(count);
    }, [count, push]);
    return (react_1.default.createElement("div", null,
        react_1.default.createElement("p", null,
            "inputValue: ",
            count),
        react_1.default.createElement("button", { onClick: function (e) { return inc(); } }, "inc"),
        react_1.default.createElement("button", { disabled: undoList.length < 1, onClick: undo },
            "undo ",
            undoList.length),
        react_1.default.createElement("button", { disabled: redoList.length < 1, onClick: redo }, "redo"),
        react_1.default.createElement("p", null,
            "last: ",
            JSON.stringify(last, undefined, 2)),
        react_1.default.createElement("p", null,
            "undoList: ",
            JSON.stringify(undoList, undefined, 2)),
        react_1.default.createElement("p", null,
            "history: ",
            JSON.stringify(history, undefined, 2)),
        react_1.default.createElement("p", null,
            "redoList: ",
            JSON.stringify(redoList, undefined, 2))));
}
exports.default = Demo;
