"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var _1 = __importDefault(require("."));
var wait = function (ms) { return new Promise(function (resolve) { return setTimeout(resolve, ms); }); };
var fetchData = function () {
    return wait(400).then(function () {
        var num = Math.random();
        if (num > 0.3) {
            return Array.from('🙁😂🌝😏😎👍👌🚗')[~~(num * 8)];
        }
        else {
            throw Error('未成功，继续尝试中');
        }
    });
};
function Demo() {
    var _a = (0, _1.default)(fetchData, {
        interval: 500,
        retryCount: 2,
    }), result = _a.result, error = _a.error, pollingCount = _a.pollingCount, isPolling = _a.isPolling, startPolling = _a.startPolling, stopPolling = _a.stopPolling;
    var handleClick = function () {
        isPolling ? stopPolling() : startPolling();
    };
    return (react_1.default.createElement("div", null,
        react_1.default.createElement("button", { onClick: handleClick }, isPolling ? '停止轮询' : '点击开始轮询'),
        react_1.default.createElement("p", null,
            "pollingCount: ",
            pollingCount),
        react_1.default.createElement("p", null, isPolling ? 'polling...' : ''),
        react_1.default.createElement("p", null, error ? error.message : result)));
}
exports.default = Demo;
