"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var useRefValue_1 = __importDefault(require("../useRefValue"));
/**
 * 提供一个类似于class组件生命周期的hooks
 */
function useWillUnmount(onMount) {
    var ref = (0, useRefValue_1.default)(onMount);
    (0, react_1.useEffect)(function () { return function () { return ref.current && ref.current(); }; }, []);
}
exports.default = useWillUnmount;
